Back to home page

Project CMSSW displayed by LXR

 
 

    


File indexing completed on 2024-04-06 12:03:27

0001 #!/bin/sh
0002 
0003 function die { echo $1: status $2 ; exit $2; }
0004 
0005 echo -e "TESTING SiPixelGainCalibration codes ..."
0006 
0007 if [ "${SCRAM_TEST_NAME}" != "" ] ; then
0008   mkdir ${SCRAM_TEST_NAME}
0009   cd ${SCRAM_TEST_NAME}
0010 fi
0011 
0012 for entry in "${SCRAM_TEST_PATH}/"SiPixelCondObj*Reader_cfg.py
0013 do
0014   echo "===== Test \"cmsRun $entry \" ===="
0015   (cmsRun $entry) || die "Failure using cmsRun $entry" $?
0016 done
0017 
0018 echo -e " Done with the readers \n\n"
0019 
0020 echo -e "TESTING Reject Noisy and Dead ...\n\n"
0021 cmsRun  ${SCRAM_TEST_PATH}/SiPixelGainCalibrationRejectNoisyAndDead_cfg.py || die "Failure running SiPixelGainCalibrationRejectNoisyAndDead_cfg.py" $?
0022 
0023 echo -e " Done with the test \n\n"